<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

add_action( 'plugins_loaded', 'ux_cb_init_vendor_yoast', 16 );
function ux_cb_init_vendor_yoast() {
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // Require class-vc-wxr-parser-plugin.php to use is_plugin_active() below
	if ( is_plugin_active( 'wordpress-seo/wp-seo.php' ) || class_exists( 'WPSEO_Metabox' ) ) {
		require_once ux_cb_path_dir( 'VENDORS_DIR', 'plugins/class-ux-cb-vendor-yoast_seo.php' );
		$vendor = new Ux_Cb_Vendor_YoastSeo();
		//if ( defined( 'WPSEO_VERSION' ) && version_compare( WPSEO_VERSION, '3.0.0' ) === - 1 ) {
			add_action( 'init', array(
				$vendor,
				'load',
			), 20 );
		//}
	}
}
