<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * UX Content Builder Module Wrap shortcode.
 */
function ux_cb_module_wrap_shortcode($atts, $content) {
	$moduleID = 'wrap';
	$sameLightbox = false;
	$sameLightboxName = false;
	$sameLightboxClass = false;
	if ( is_page() ) {
		$sameLightboxName = 'theme_meta_page_same_lightbox';
	} else if ( is_singular('ux-portfolio') ) {
		$sameLightboxName = 'theme_meta_page_same_lightbox_portfolio';
	}
	if ( $sameLightboxName ) {
		$sameLightbox = 'null' !== ux_cb_get_theme_meta( get_the_ID(), $sameLightboxName ) ? ux_cb_get_theme_meta( get_the_ID(), $sameLightboxName ) : false;
	}
	if ( $sameLightbox ) {
		$sameLightboxClass = 'lightbox-photoswipe';
	}
	$html = '<div class="bm-builder clearfix '.sanitize_html_class( $sameLightboxClass ).'">' .do_shortcode($content). '</div>';
	return $html;
}
add_shortcode('ux_cb_wrap', 'ux_cb_module_wrap_shortcode');
?>