<?php
//** get sidebar meta
$sidebar = seatheme_get_post_meta( get_the_ID(), 'theme_meta_sidebar' ); 
$content_width = seatheme_get_post_meta( get_the_ID(), 'theme_meta_post_content_width' ); 

if ( is_singular( 'ux-portfolio' ) || is_attachment() ) {
	$sidebar = 'without-sidebar'; 
}
$sidebar_class = ' two-cols-layout';
$layout_class = 'sidebar-layout row';
$content_width_class = '';

if ( $sidebar === 'without-sidebar' ) {
	$sidebar_class = ' fullwrap-layout';
	$layout_class = 'fullwrap-layout-inn';
	$content_width_class = $content_width;
} 
else {
	if ( ! seatheme_enable_sidebar() ) {
		$sidebar_class = ' fullwrap-layout';
		$layout_class = 'fullwrap-layout-inn';
		$content_width_class = 'container-inn';
	}
}


if ( is_singular( 'ux-portfolio' ) ) {

	echo '<div class="content_wrap_outer ' .esc_attr( $sidebar_class ). '">';

} else { ?>

	<div class="content_wrap_outer <?php echo esc_attr($sidebar_class); ?> <?php seatheme_interface_container_class(); ?>">

<?php }
		echo '<div class="' .esc_attr( $layout_class ). ' '.esc_attr( $content_width_class ).'">';
?>