<?php
//Function interface ajax portfolio icon Featured Projects
function seatheme_interface_ajax_portfolio_featured_projects(){ 
	$container = seatheme_get_option( 'theme_option_main_width_style' ) ? seatheme_get_option( 'theme_option_main_width_style' ) : 'container';
	if ( $container == 'container-fixed' ) { $container = 'container'; }
?>
    <div class="portfolio-panel-wrap bm-middle <?php echo sanitize_html_class( $container ); ?>">
    	<div class="portfolio-panel-wrap-inn"><?php
        $sectionID = seatheme_get_option( 'theme_option_show_portfolio_icon_page_id' );
        $post = get_post( $sectionID );
        if ( $post ) {
            //setup_postdata( $post );
			//the_content();
            //wp_reset_postdata();
			
			echo do_shortcode( $post->post_content );
			
			$wp_version = get_bloginfo( 'version' );
			$content = $post->post_content; 
			$appendTo = false;
			
			if ( version_compare( $wp_version, '5.0', '>=' ) ) {
				if ( function_exists( 'has_blocks' ) ) {
					if ( ! empty( $content ) ) {
						if (false === strpos( $content, 'ux_cb_wrap' ) ) {
							$appendTo = true;
						}
					}
				}
			}
			
			if ( $appendTo ) {
				if ( $uxCbContent = get_post_meta( $sectionID, 'ux-cb-content', true ) ) {
					echo do_shortcode( $uxCbContent );
				}
			}
        } ?></div>
    </div>
<?php
	//exit;
}

//Function interface ajax cookie consent bar
function seatheme_interface_ajax_cookie_consent_bar(){
	if ( isset( $_POST['cookieConsentBar'] ) ) {
		$cookieConsentBar = $_POST['cookieConsentBar'];
		$currentUserID = get_current_user_id();
		if ( $cookieConsentBar == '' ) {
			$setcookie = setcookie( 'cookieConsentBar', $currentUserID, strtotime( '+30 days' ), '/' );
			if ( $setcookie ) {
				echo 'ok';
			}
		} else {
			$cookieConsentBar = $_COOKIE['cookieConsentBar'];
			if ( intval( $cookieConsentBar ) != $currentUserID ) {
				$setcookie = setcookie( 'cookieConsentBar', $currentUserID, strtotime( '+30 days' ), '/' );
				if ( $setcookie ) {
					echo 'ok';
				}
			} else {
				echo 'ok';
			}
		}
	}
	
	exit;
}
add_action( 'wp_ajax_seatheme_interface_ajax_cookie_consent_bar', 'seatheme_interface_ajax_cookie_consent_bar' );
add_action( 'wp_ajax_nopriv_seatheme_interface_ajax_cookie_consent_bar', 'seatheme_interface_ajax_cookie_consent_bar' );

//Function interface ajax page transition
if ( ! function_exists( 'seatheme_interface_ajax_page_transition' ) ) {
	function seatheme_interface_ajax_page_transition() {
		$permalink = $_GET['permalink'];
		$outputType = 'OBJECT';
		$post_id = false;
		
		$outputData = array(
			'headerClass' => 'false',
			'content' => 'false',
			'bodyClass' => 'false',
			'bodyStyle' => 'false'
		);
		
		if ( isset( $_GET['permalink'] ) ) {
			$permalink = $_GET['permalink'];
			$ajaxPageTransition = $_GET['UxThemeAjaxPageTransition'];
			
			global $wp_rewrite;
			if ( ! $wp_rewrite->use_trailing_slashes ) {
				if ( isset( $_GET['postID'] ) ) {
					if ( $_GET['postID'] != '' ) {
						$post_id = $_GET['postID'];
					}
				}
			} else {
				$post_id = url_to_postid( $permalink );
			}
			
			if ( $post_id ) {
				$post = get_post( $post_id );
				$GLOBALS['post'] = $post;
				
				$args = array( 'post_type' => $post->post_type, 'p' => $post_id );
				switch ( $post->post_type ) {
					case 'page':
						$args = array( 'post_type' => $post->post_type, 'page_id' => $post_id );
					break;
				}
				
				$GLOBALS['wp_query'] = new WP_Query( $args );
				$outputData[] = $GLOBALS['wp_query'];
				$outputData['bodyClass'] = get_body_class();
				
				//header
				if ( is_page() ) {
					if ( $whenScrollDown = seatheme_get_post_meta( get_the_ID(), 'theme_meta_page_show_header_when_scroll_down' ) ) {
						$scrollDownHeight = seatheme_get_post_meta( get_the_ID(), 'theme_meta_page_scroll_down_height' );
						if ( intval( $scrollDownHeight ) ) {
							$outputData['headerClass'] = 'ux-header-hide';
						}
					}
				}
				if ( is_singular('ux-portfolio' ) ) { 
					if ( $whenScrollDown = seatheme_get_post_meta(get_the_ID(), 'theme_meta_portfolio_show_header_when_scroll_down' ) ) {
						$scrollDownHeight = seatheme_get_post_meta( get_the_ID(), 'theme_meta_portfolio_scroll_down_height');
						if ( intval( $scrollDownHeight ) ) {
							$outputData['headerClass'] = 'ux-header-hide';
						}
					}
				}
				
				ob_start();
				do_action( 'seatheme_interface_content_before' );
				
				if ( is_page() || is_single() ) { ?> 
                    
                    <style type="text/css">
						<?php
						if ( is_page() ) {
							$page_template = seatheme_get_post_meta( $post_id, 'theme_meta_page_template' );
							$page_background = seatheme_get_post_meta( $post_id, 'theme_meta_page_background' );
							$page_background_color = seatheme_get_post_meta( $post_id, 'theme_meta_page_background_color' );
							$page_text_color = seatheme_get_post_meta( $post_id, 'theme_meta_page_text_color' );

							if ( $page_template == 'none-template' && $page_background == 'static-color' ) {
								$outputData['bodyStyle'] = 'background-color:'.esc_attr( $page_background_color ).';--color-bg:'.esc_attr( $page_background_color ).';--color-header-bg:'.esc_attr( $page_background_color ).';--color-pageloader-bg:'.esc_attr($page_background_color).'; --color-footer-bg:'.esc_attr($page_background_color).'; --color-menu:'.esc_attr($page_text_color).'; --color-menu-light:'.esc_attr($page_text_color).';--color-menu-hover:'.esc_attr($page_text_color).';--color-menu-current:'.esc_attr($page_text_color).'; --color-title:'.esc_attr($page_text_color).';--color-content:'.esc_attr($page_text_color).'; --color-footer-text:'.esc_attr($page_text_color).';';
								echo '
									body{' .$outputData['bodyStyle']. '}
								';
							}
						}
						echo ux_cb_module_inline_style();
						?>
					</style>
                    
					<div id="content">
        
						<?php if ( is_page() ) {
							while ( have_posts() ) { the_post(); ?>
							
								<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								
									<?php do_action( 'seatheme_interface_page_content_before' ); ?>
									
									<div id="content_wrap" <?php seatheme_interface_content_class(); ?>>
										<?php do_action( 'seatheme_interface_page_content' ); ?>
									</div>
						
									<?php
									do_action( 'seatheme_interface_sidebar_widget' );
									do_action( 'seatheme_interface_page_content_after' ); ?>   
								
								</div>  
							<?php
							}
						} else {
							while(have_posts()){ the_post();
								do_action('seatheme_interface_single_summary');
								do_action('seatheme_interface_single_content_before'); ?>
                                
                                <div id="content_wrap" <?php seatheme_interface_content_class(); ?>>
                                    <?php do_action('seatheme_interface_single_article_before'); ?>
                                    
                                    <article id="post-<?php the_ID(); ?>" <?php seatheme_interface_post_class(); ?>>
                                        <?php do_action('seatheme_interface_single_content'); ?>
                                    </article>
                                    
                                    <?php do_action('seatheme_interface_single_article_after'); ?>
                                </div>
                    
                                <?php
								do_action('seatheme_interface_sidebar_widget');
								do_action('seatheme_interface_single_content_after');
                            } 
						} ?>      
					
					</div>
				<?php
                }
				
				
				do_action( 'seatheme_interface_footer' );
				do_action( 'seatheme_pb_module_portfolio_ajaxwrap' );
				do_action( 'seatheme_interface_content_after' );
				$outputData['content'] = ob_get_clean();
			} else {
				$menuID = $_GET['menuID'];
				
				if ( $menuID != '' ) {
					if ( $menuItemObjID = get_post_meta( $menuID, '_menu_item_object_id', true ) ) {
						$menuItemObject = get_post_meta( $menuID, '_menu_item_object', true );
						$args = array(
							'post_type' => 'post',
							'tax_query' => array(
								array(
									'taxonomy' => $menuItemObject,
									'field' => 'id',
									'terms' => $menuItemObjID
								)
							)
						);
						$GLOBALS['wp_query'] = new WP_Query( array( 'post_type' => $post->post_type, 'page_id' => $post_id ) );
						$outputData['bodyClass'] = get_body_class();
						
						ob_start();
						do_action( 'seatheme_interface_content_before' );
						
						$theme_option_main_width_style = esc_attr( seatheme_get_option( 'theme_option_main_width_style' ) );
						$container = $theme_option_main_width_style ? $theme_option_main_width_style : 'container';
						if ( $container == 'container-fixed' ) { $container = 'container'; }
						$layout_class = '';
						$content_wrap_class = '';
						$if_has_widget = false;

						$blogListSidebarLayout = 'without-sidebar';
						$blogListSidebarWidgetsSet = false;
						$blogListSidebar = seatheme_get_option( 'theme_option_blog_list_sidebar' );
						if ( $blogListSidebar ) {
							if ( $blogListSidebar != 'without-sidebar' ) {
								$if_has_widget = 'yes';
								$blogListSidebarWidgets = seatheme_get_option( 'theme_option_blog_list_sidebar_widgets' );
								if ( $blogListSidebarWidgets ) {
									if ( is_active_sidebar( $blogListSidebarWidgets ) ) {
										$blogListSidebarWidgetsSet = $blogListSidebarWidgets;
										$if_has_widget = 'yes';
										$layout_class = 'sidebar-layout row';
										$content_wrap_class = 'col-sm-9 col-md-9';
									}
								}

								if ( $blogListSidebar == 'left-sidebar' ) {
									$content_wrap_class .= ' pull-right';
								}
							} else {
								$blogListWidthClass = 'bm-width-100';
								if ( $blogListWidth = seatheme_get_option( 'theme_option_blog_list_width' ) ) {
									$blogListWidthClass = $blogListWidth;
								}
								$container .= ' ' .$blogListWidthClass;
							}
						} ?>

						<div id="content">
    
							<?php
							do_action('seatheme_interface_archive_before'); ?>

							<div class="content_wrap_outer <?php echo esc_attr( $container ); ?>">
								<?php 
								if ( $blogListTitleSwitch = seatheme_get_option( 'theme_option_blog_list_switch_title' ) ) {
									seatheme_get_template_part( 'global/content', 'titlewrap' ); 
								}

								?>

								<div class="<?php echo esc_attr( $layout_class ); ?>">
									<div id="content_wrap" class="<?php echo esc_attr( $content_wrap_class ); ?>">

										<?php  do_action('seatheme_interface_archive_loop'); ?>

									</div>

									<?php 
									if ( $if_has_widget === 'yes' ) { ?>
										<aside id="sidebar-widget" class="col-md-3 col-sm-3" >
											<ul class="sidebar_widget">
												<?php
												if ( $blogListSidebarWidgetsSet ) {
													dynamic_sidebar( $blogListSidebarWidgetsSet );
												} ?>
											</ul>
										</aside>
									<?php
									} ?>

								</div>
							</div>

						</div>
						
						<?php
						do_action( 'seatheme_interface_footer' );
						do_action( 'seatheme_pb_module_portfolio_ajaxwrap' );
						do_action( 'seatheme_interface_content_after' );
						$outputData['content'] = ob_get_clean();
					}
				}
			}
		} else {
			$menuID = $_GET['menuID'];

			if ( $menuID != '' ) {
				if ( $menuItemObjID = get_post_meta( $menuID, '_menu_item_object_id', true ) ) {
					$outputData[] = $menuItemObjID;
				}
			}
		}
		
		echo json_encode( $outputData ); 
		exit;
	}
}
add_action( 'wp_ajax_seatheme_interface_ajax_page_transition', 'seatheme_interface_ajax_page_transition' );
add_action( 'wp_ajax_nopriv_seatheme_interface_ajax_page_transition', 'seatheme_interface_ajax_page_transition' );
?>