<?php
//register script
function seatheme_theme_interface_register_script($script){
	
	$script['jplayer'] = array(
		'handle'    => 'jplayer',
		'src'       => SEA_LOCAL_URL. '/js/jquery.jplayer.min.js',
		'deps'      => array('jquery'),
		'ver'       => '2.2.1',
		'in_footer' => true
	);
	
	$script['modernizr-custom'] = array(
		'handle'    => 'modernizr-custom',
		'src'       => SEA_LOCAL_URL. '/js/modernizr-custom.js',
		'deps'      => array('jquery'),
		'ver'       => '3.5.0',
		'in_footer' => true
	);

	$script['bootstrap'] = array(
		'handle'    => 'bootstrap',
		'src'       => SEA_LOCAL_URL. '/js/bootstrap.min.js',
		'deps'      => array('jquery'),
		'ver'       => '3.3.5',
		'in_footer' => true
	);

	$script['photoswipe'] = array(
		'handle'    => 'photoswipe',
		'src'       => SEA_LOCAL_URL. '/js/photoswipe.min.js',
		'deps'      => array('jquery'),
		'ver'       => '4.1.3',
		'in_footer' => true
	);

	$script['photoswipe-ui-default'] = array(
		'handle'    => 'photoswipe-ui-default',
		'src'       => SEA_LOCAL_URL. '/js/photoswipe-ui-default.min.js',
		'deps'      => array('photoswipe'),
		'ver'       => '4.1.3',
		'in_footer' => true
	);

	$script['waypoints'] = array(
		'handle'    => 'waypoints',
		'src'       => SEA_LOCAL_URL. '/js/jquery.waypoints.min.js',
		'deps'      => array('jquery'),
		'ver'       => '4.0.1',
		'in_footer' => true
	);

	$script['lazyload'] = array(
		'handle'    => 'lazyload',
		'src'       => SEA_LOCAL_URL. '/js/lazyload.min.js',
		'deps'      => array('jquery'),
		'ver'       => '10.19.0',
		'in_footer' => true
	);

	$script['sea-lib'] = array(
		'handle'    => 'sea-lib',
		'src'       => SEA_LOCAL_URL. '/js/sea_lib.min.js',
		'deps'      => array('jquery'),
		'ver'       => '1.0.1',
		'in_footer' => true
	);

	
	$script['seatheme-interface-theme'] = array(
		'handle'    => 'seatheme-interface-theme',
		'src'       => SEA_LOCAL_URL. '/js/custom.theme.js',
		'deps'      => array('jquery'),
		'ver'       => '1.1.0',
		'in_footer' => true
	);

	$script['seatheme-interface-portfolio-2col'] = array(
		'handle'    => 'seatheme-interface-portfolio-2col',
		'src'       => SEA_LOCAL_URL. '/js/portfolio-2col.js',
		'deps'      => array('jquery'),
		'ver'       => '1.1.3',
		'in_footer' => true
	);
	
	return $script;
}
add_filter('seatheme_theme_register_script', 'seatheme_theme_interface_register_script');

//register style
function seatheme_theme_interface_register_style($style){

	$style['google-font-roboto'] = array(
		'handle' => 'google-font-roboto',
		'src'    => 'https://fonts.googleapis.com/css?family=Roboto:400,500',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);
	
	$style['font-awesome-min'] = array(
		'handle' => 'font-awesome-min',
		'src'    => SEA_LOCAL_URL. '/functions/theme/css/font-awesome.min.css',
		'deps'   => array(),
		'ver'    => '4.7.0',
		'media'  => 'screen'
	);

	$style['seatheme-interface-style'] = array(
		'handle' => 'seatheme-interface-style',
		'src'    => SEA_LOCAL_URL. '/styles/style.css',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);

	$style['seatheme-archive-style'] = array(
		'handle' => 'seatheme-archive-style',
		'src'    => SEA_LOCAL_URL. '/styles/archive.css',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);

	$style['seatheme-rtl'] = array(
		'handle' => 'seatheme-rtl',
		'src'    => SEA_LOCAL_URL. '/styles/style-rtl.css',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);

	$style['seatheme-post-portfolio-style'] = array(
		'handle' => 'seatheme-post-portfolio-style',
		'src'    => SEA_LOCAL_URL. '/styles/post-portfolio.css',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);

	$style['seatheme-interface-wc-product-gallery-slider'] = array(
		'handle' => 'seatheme-interface-wc-product-gallery-slider',
		'src'    => SEA_LOCAL_URL. '/styles/wc-product-gallery-slider.css',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);

	$style['seatheme-interface-style-ie'] = array(
		'handle' => 'seatheme-interface-style-ie',
		'src'    => SEA_LOCAL_URL. '/styles/ie.css',
		'deps'   => array(),
		'ver'    => '1.0.0',
		'media'  => 'screen'
	);

	$style['photoswipe'] = array(
		'handle' => 'photoswipe',
		'src'    => SEA_LOCAL_URL. '/styles/photoswipe.css',
		'deps'   => array(),
		'ver'    => '4.1.2',
		'media'  => 'screen',
	);

	$style['bootstrap'] = array(
		'handle' => 'bootstrap',
		'src'    => SEA_LOCAL_URL. '/styles/bootstrap.css',
		'deps'   => array(),
		'ver'    => '1.0',
		'media'  => 'screen',
	);

	$style['seatheme-menuicon-default'] = array(
		'handle' => 'seatheme-menuicon-default',
		'src'    => SEA_LOCAL_URL. '/styles/menuicon-default.css',
		'deps'   => array(),
		'ver'    => '1.0',
		'media'  => 'screen',
	);
	
	$style['seatheme-menuicon-hamburg'] = array(
		'handle' => 'seatheme-menuicon-hamburg',
		'src'    => SEA_LOCAL_URL. '/styles/menuicon-hamburg.css',
		'deps'   => array(),
		'ver'    => '1.0',
		'media'  => 'screen',
	);
	
	$style['seatheme-headericon-default'] = array(
		'handle' => 'seatheme-headericon-default',
		'src'    => SEA_LOCAL_URL. '/styles/headericon-default.css',
		'deps'   => array(),
		'ver'    => '1.0',
		'media'  => 'screen',
	);
	
	$style['seatheme-headericon-classic'] = array(
		'handle' => 'seatheme-headericon-classic',
		'src'    => SEA_LOCAL_URL. '/styles/headericon-classic.css',
		'deps'   => array(),
		'ver'    => '1.0',
		'media'  => 'screen',
	);
	
	$style['seatheme-cookie-bar'] = array(
		'handle' => 'seatheme-cookie-bar',
		'src'    => SEA_LOCAL_URL. '/styles/cookie-bar.css',
		'deps'   => array(),
		'ver'    => '1.0',
		'media'  => 'screen',
	);
	
	return $style;
}
add_filter('seatheme_theme_register_style', 'seatheme_theme_interface_register_style');
?>