<?php get_header(); 
$theme_option_main_width_style = esc_attr(seatheme_get_option('theme_option_main_width_style'));
$container = $theme_option_main_width_style ? $theme_option_main_width_style : 'container';
$layout_class = 'container-inn';
$content_wrap_class = '';
$if_has_widget = false;
if ( is_active_sidebar( 'sidebar_1' ) ) {
    $if_has_widget = 'yes';
    $layout_class = 'sidebar-layout row';
    $content_wrap_class = 'col-sm-9 col-md-9';
}
?>
    <div id="content">
    
        <?php //** Do Hook Archive before
		do_action('seatheme_interface_archive_before'); ?>
        
        <div class="content_wrap_outer <?php echo sanitize_html_class($container); ?>">
			<?php seatheme_get_template_part('global/content', 'titlewrap'); ?>
        
            <div class="<?php echo esc_attr($layout_class); ?>">
                <div id="content_wrap" class="<?php echo esc_attr($content_wrap_class); ?>">

                    <?php
                    //** Do Hook Archive loop
                    /**
                     * @hooked  seatheme_interface_archive_loop - 10
                     */
                    do_action('seatheme_interface_archive_loop'); ?>
                    
                </div>
                
                <?php //** Do Hook Sidebar Widget
				/**
				 * @hooked  seatheme_interface_sidebar_widget - 10
				 */
				if ( $if_has_widget === 'yes' ) {
                    do_action('seatheme_interface_sidebar_widget');
                } ?>
                
            </div>
        </div>
        
    </div><!--End content-->
  
<?php get_footer(); ?>